## visad.java3d
Class ValueControlJ3D

    java.lang.Object
      visad.Control
          visad.java3d.AVControlJ3D
              visad.java3d.ValueControlJ3D

All Implemented Interfaces:
  AVControl, Cloneable, Serializable, ValueControl

public class ValueControlJ3D
extends AVControlJ3D
implements ValueControl

ValueControlJ3D is the VisAD class for controlling SelectValue display scalars under Java3D.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.java3d.AVControlJ3D
`AVControlJ3D.SwitchSet`

Field Summary

Fields inherited from class visad.java3d.AVControlJ3D
`switches`

Fields inherited from class visad.Control
``

Constructor Summary
`ValueControlJ3D(DisplayImplJ3D d)`

Method Summary
`boolean` `equals(Object o)` Indicates whether or not this instance equals an Object
`String` `getSaveString()` get a String that can be used to reconstruct this ValueControl later
`double` `getValue()` return the selected value
`void` `init()`
`void` `setSaveString(String save)` reconstruct this ValueControl using the specified save string
`void` `setValue(double value)` set the selected value
`void` `syncControl(Control rmt)` copy the state of a remote control to this control

Methods inherited from class visad.java3d.AVControlJ3D
`addPair, clearSwitches, getSwitches, nullControl, selectSwitches, setInterval`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, clone, getDisplay, getDisplayRenderer, getInstanceNumber, incTick, peekTicks, removeControlListener, resetTicks, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.AVControl
`addControlListener, clearSwitches, removeControlListener`

Constructor Detail

### ValueControlJ3D

    public ValueControlJ3D(DisplayImplJ3D d)

Method Detail

### setValue

    public void setValue(double value)
                  throws VisADException,
                         RemoteException

  Description copied from interface: `ValueControl`
  set the selected value

  Specified by:
    `setValue` in interface `ValueControl`
  Throws:
    `VisADException`
    `RemoteException`

### init

    public void init()
              throws VisADException

  Specified by:
    `init` in interface `ValueControl`
  Specified by:
    `init` in class `AVControlJ3D`
  Throws:
    `VisADException`

### getValue

    public double getValue()

  Description copied from interface: `ValueControl`
  return the selected value

  Specified by:
    `getValue` in interface `ValueControl`

### getSaveString

    public String getSaveString()

  get a String that can be used to reconstruct this ValueControl later

  Specified by:
    `getSaveString` in interface `AVControl`
  Specified by:
    `getSaveString` in class `Control`
  Returns:
    String representation of this Control

### setSaveString

    public void setSaveString(String save)
                       throws VisADException,
                              RemoteException

  reconstruct this ValueControl using the specified save string

  Specified by:
    `setSaveString` in interface `AVControl`
  Specified by:
    `setSaveString` in class `Control`
  Parameters:
    `save` - - String representation for reconstruction
  Throws:
    `VisADException` - if a VisAD error occurs
    `RemoteException` - if an RMI error occurs

### syncControl

    public void syncControl(Control rmt)
                     throws VisADException

  copy the state of a remote control to this control

  Specified by:
    `syncControl` in class `Control`
  Parameters:
    `rmt` - remote Control whose state is copied
  Throws:
    `VisADException` - if a VisAD error occurs

### equals

    public boolean equals(Object o)

  Description copied from class: `Control`
  Indicates whether or not this instance equals an Object

  Overrides:
    `equals` in class `AVControlJ3D`